{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-43.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "perl-HTML-Parser-3.82-1.fc40",
        "store-results-to": "/tmp/tmpqrc97a0h/perl-HTML-Parser-3.82-1.fc40.tar.xz",
        "time-created": "2024-07-03 16:39:20",
        "time-finished": "2024-07-03 16:40:42",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpqrc97a0h/perl-HTML-Parser-3.82-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpqrc97a0h/perl-HTML-Parser-3.82-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "48f33662edfb498d67ef8e24d02dc73a8f417345",
            "key_event_idx": 2,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-HTML-Parser-3.82-build/HTML-Parser-3.82/Parser.xs",
                    "line": 30,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-HTML-Parser-3.82-build/HTML-Parser-3.82/util.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘decode_entities’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-HTML-Parser-3.82-build/HTML-Parser-3.82/util.c",
                    "line": 162,
                    "column": 21,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘Perl_uvuni_to_utf8’ is deprecated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/perl.h",
                    "line": 6186,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-HTML-Parser-3.82-build/HTML-Parser-3.82/Parser.xs",
                    "line": 11,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/proto.h",
                    "line": 6043,
                    "column": 1,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  160|   \t\t    }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  161|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  162|-> \t\t    tmp = (char*)uvuni_to_utf8((U8*)buf, num);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  163|   \t\t    repl = buf;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  164|   \t\t    repl_len = tmp - buf;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-HTML-Parser-3.82-build/HTML-Parser-3.82/Parser.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        }
    ]
}
